Subject: bug#40316: nss not reproducible

From: Christina O'Donnell <[email-masked]>
Date: Thu, 2 May 2024 16:20:45 +0100

Hi Ludo',

This doesn't look directly related. I haven't seen anything like this 
occur when I build it.

Tangentially, given how long nss takes to build, do you think that it'd 
be worth shaving it down to a single test pass? Currently it runs each 
test up to 3 times, which takes ~1h on my machine with no other build 
running. Running only the standard pass takes 2.5-3x less time, which is 
a huge quality of life improvement.

Kind regards,

Christina

On 02/05/2024 09:15, Ludovic Courtès wrote:
> Hi Christina,
>
> Nice work!
>
> Christina O'Donnell <[email-masked]> skribis:
>
>> I've got as far as making nss 3.98 reproducible, however updating it to 3.99
>> results in 51 test failures. These are regressions, and worked correctly for
>> 3.98. I'm not entirely sure what the issue is, but I've run out of time to
>> debug it this week, so I'm sending this patch up as is.
> Not sure if this is related, but we’re seeing test failures due to
> timing issues right now with 3.98:
>
>    https://issues.guix.gnu.org/70693
>
> Thank you!
>
> Ludo’.